> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/cordova-links-external-browser.md).

# Open cordova or ionic links in external browser

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

First step is to install the "InAppBrowser" plugin. The name is a bit confusing but it will allow you to open links in the default browser when passing a certain parameter. [Details about the plugin](https://cordova.apache.org/docs/en/latest/reference/cordova-plugin-inappbrowser/index.html) are available, but you'll just need to run the command.

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
cordova plugin add org.apache.cordova.inappbrowser
```

{% endcode %}
{% endtab %}
{% endtabs %}

Next we'll have to make a couple changes to your web app so that when window\.open is called we'll inject the extra parameter '\_system' which will open the link in the external browser. First look for a script tag that has the code $(document).bind("mobileinit")..., and inside that same script tag add the following code:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
document.addEventListener('deviceready', function() {
    var oldOpen = window.open;
    window.open = function(target) {
        return oldOpen(target, '_system');
    };
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

The last change is to add the following line

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
<script src="../../cordova.js"></script>
<link rel="stylesheet" href="external/custom.css" />
```

{% endcode %}
{% endtab %}
{% endtabs %}

This is the path to `cordova.js` if you followed the steps in [WebViewer's cordova sample readme](https://github.com/ApryseSDK/webviewer-cordova-sample/), there if you've changed the structure to fit your app then be sure that the URL correctly references `cordova.js`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/cordova-links-external-browser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
